For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • POSTCreate a new workflow revision
      • GETList all workflows
      • POSTCreate a new workflow
      • GETGet a workflow by ID
      • PUTUpdate a workflow
      • DELDelete a workflow
      • STREAMExecute a workflow.
      • POSTExecute a workflow with provided config.
LogoLogo
Scout DocsAccess Scout
EndpointsWorkflows

Execute a workflow.

Beta
POST
https://api.scoutos.com/v2/workflows/:workflow_id/execute
POST
/v2/workflows/:workflow_id/execute
$# Execute a workflow using curl
$curl -X POST https://api.scoutos.com/v2/workflows/workflow_id/execute \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "inputs": {
> "user_message": "Hello there! I have a question..."
> },
> "streaming": false
> }'
Was this page helpful?
Previous

Execute a workflow.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_idstringRequired

Query parameters

environmentstring or nullOptionalDefaults to production

Specifies the execution environment for the workflow. The available environments include:

  • production: The production environment, where workflows are executed under live conditions.
  • staging: A staging environment used for testing prior to production deployment.
  • development: A development environment used for testing new changes.
  • console: The console environment, runs latest changes on a workflow.
revision_idstring or nullOptional
session_idstring or nullOptional

Request

This endpoint expects an object.
streamingfalseRequired
inputsmap from strings to booleans or maps from strings to any or doubles or integers or lists of any or stringsOptional

Response

runobject
workflow_idstring
output_block_idstringDefaults to

Errors

422
Unprocessable Entity Error